#include <iostream>
#include <string>
using namespace std;
int main(){
    int n;
    cin>>n;
    string a;
    cin>>a;
    if(n<26){
        cout<<0;
    }
    else{
        if(n==26){
            bool m=true;
            for(int i=0;i<26;i++){
                if(a[i]!=char(65+i)){
                    m=false;
                    break;
                }
            }
            if(m){
                cout<<1;
            }
            else{
                cout<<0;
            }
        }
    }
}